/*
WIFI COMMANDS
AND PROTOCOL CONSTANTS
*/

#ifndef CMD_H
#define CMD_H

//set commands
#define CMD_S_H		1		//set hour
#define CMD_S_M		2		//set min
#define CMD_S_S		3		//set seconds
#define CMD_S_AH	4		//set alarm(n) hour
#define CMD_S_AM	5		//set alarm(n) min
#define CMD_S_AS	6		//set alarm status byte
#define CMD_S_CDH	7		//set countdown hout
#define CMD_S_CDM	8		//set countdown min
#define CMD_S_CDS	9		//set countdoen sec
#define CMD_S_CDE	10		//enable or disable countdown
#define CMD_S_SSID	11		//set SSID of AP
#define CMD_S_PWD	12		//set AP's password is necessary
#define CMD_S_MODE	13		//set display mode of device
#define CMD_S_BRG	14		//set brightness
#define CMD_S_AL	15		//enable alarm for (n) time

//ask for data
#define CMD_G_T		16		//time, h, m, s
#define CMD_G_CD	17		//countdown
#define CMD_G_A		18		//alarm, h, m, s
#define CMD_G_AS	19		//get alarm state byte
#define CMD_G_BRG	20		//display brightness

#endif